Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.core
Interface JkChannel

All Known Implementing Classes:
  ChannelJni, ChannelSocket, ChannelUn

public interface JkChannel

A Channel represents a connection point to the outside world.

Author:
  Bill Barker

Method Summary
`MsgContext` | `createMsgContext()` Create a new request endpoint.
`int` | `flush(Msg msg, MsgContext ep)` Flush the data to the client.
`java.lang.String` | `getChannelName()` Return the identifying name of this Channel.
`int` | `invoke(Msg msg, MsgContext ep)` Invoke the request chain.
`boolean` | `isSameAddress(MsgContext ep)` Confirm that a shutdown request was recieved form us.
`int` | `receive(Msg msg, MsgContext ep)` Recieve a message from the client.
`void` | `registerRequest(Request req, MsgContext ep, int count)` Register a new Request in the Request pool.
`int` | `send(Msg msg, MsgContext ep)` Send a message back to the client.

Method Detail

### getChannelName

    public java.lang.String getChannelName()

  Return the identifying name of this Channel.

### send

    public int send(Msg msg,
                    MsgContext ep)
             throws java.io.IOException

  Send a message back to the client.

  Parameters:
    `msg` - The message to send.
    `ep` - The connection point for this request.
  Throws:
    `java.io.IOException`

### receive

    public int receive(Msg msg,
                       MsgContext ep)
                throws java.io.IOException

  Recieve a message from the client.

  Parameters:
    `msg` - The place to recieve the data into.
    `ep` - The connection point for this request.
  Throws:
    `java.io.IOException`

### flush

    public int flush(Msg msg,
                     MsgContext ep)
              throws java.io.IOException

  Flush the data to the client.

  Throws:
    `java.io.IOException`

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Invoke the request chain.

  Throws:
    `java.io.IOException`

### isSameAddress

    public boolean isSameAddress(MsgContext ep)

  Confirm that a shutdown request was recieved form us.

### registerRequest

    public void registerRequest(Request req,
                                MsgContext ep,
                                int count)

  Register a new Request in the Request pool.

### createMsgContext

    public MsgContext createMsgContext()

  Create a new request endpoint.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.